SGL pakage

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

SGL pakage

Ashraf Mousa
Dear at Octave list
I am running UBUNTU 16.0.4  64 bit. I installed octave 4.2.1
I am now trying to install pkg gsl
It requires GNU GSL lib. I installed the lib version 2.4.
However I keep getting the following error:
"/home/ashraf/octave/gsl-2.1.0/x86_64-pc-linux-gnu-api-v51/gsl_sf.oct: failed to load: /home/ashraf/octave/gsl-2.1.0/x86_64-pc-linux-gnu-api-v51/gsl_sf.oct: undefinedsymbol: gsl_sf_legendre_Plm_deriv_array
error: called from
    which at line 34 column 5
    /home/ashraf/octave/gsl-2.1.0/x86_64-pc-linux-gnu-api-v51/PKG_ADD at line 2 column 1
    doc_cache_create>gen_doc_cache_in_dir at line 139 column 5
    doc_cache_create at line 55 column 12
    install>generate_lookfor_cache at line 797 column 5
    install at line 231 column 7
    pkg at line 394 column 9"

Any Help
Cheers
 
Prof. Ashraf ElKutb Mousa
Prof. of Geodesy, Senior Geodesist
Crustal Movement lab
Geodynamic Dept.
National Research Institute of Astronomy and Geophysics, Helwan, Cairo
Mob. : +002-01061087313
Tel (home): +002-22-5187001
Tel (Work): +002-22-5541100 (ext. 347)
Fax (Work): +002-22-5548020

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: SGL pakage

Svetlana Tkachenko-2
Dear Ashraf,

> I am running UBUNTU 16.0.4  64 bit. I installed octave 4.2.1
> I am now trying to install pkg gsl
> It requires GNU GSL lib. I installed the lib version 2.4.
> However I keep getting the following error:
> "/home/ashraf/octave/gsl-2.1.0/x86_64-pc-linux-gnu-api-v51/gsl_sf.oct: failed to load: /home/ashraf/octave/gsl-2.1.0/x86_64-pc-linux-gnu-api-v51/gsl_sf.oct: undefinedsymbol: gsl_sf_legendre_Plm_deriv_array
> error: called from
>     which at line 34 column 5
>     /home/ashraf/octave/gsl-2.1.0/x86_64-pc-linux-gnu-api-v51/PKG_ADD at line 2 column 1

Is libgsl-dbg or libgsl-dev installed?

-- Sveta

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave